ros-rolling-rclcpp-components (15.0.0-1focal) focal; urgency=high

  * Add rclcpp_components::component (#1855 <https://github.com/ros2/rclcpp/issues/1855>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-components (14.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-components (14.0.0-1focal) focal; urgency=high

  * Add parameter to configure number of thread (#1708 <https://github.com/ros2/rclcpp/issues/1708>)
  * remove RCLCPP_COMPONENTS_PUBLIC in class ComponentManagerIsolated (#1843 <https://github.com/ros2/rclcpp/issues/1843>)
  * create component_container_isolated (#1781 <https://github.com/ros2/rclcpp/issues/1781>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Jacob Perron, gezp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rclcpp-components (13.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-rclcpp-components (13.0.0-1focal) focal; urgency=high

  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 07:00:00 -0000

ros-rolling-rclcpp-components (12.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.2.0-1focal) focal; urgency=high

  * Deprecate method names that use CamelCase in rclcpp_components. (#1716 <https://github.com/ros2/rclcpp/issues/1716>)
  * Contributors: Rebecca Butler

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.1.0-1focal) focal; urgency=high

  * Added a hook to generate node options in ComponentManager (#1702 <https://github.com/ros2/rclcpp/issues/1702>)
  * Contributors: Rebecca Butler

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 07:00:00 -0000

ros-rolling-rclcpp-components (10.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (7.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (7.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (6.3.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.3.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.2.0-1focal) focal; urgency=high

  * Use std compliant non-method std::filesystem::exists function (#1502 <https://github.com/ros2/rclcpp/issues/1502>)
  * Fix string literal warnings (#1442 <https://github.com/ros2/rclcpp/issues/1442>)
  * Contributors: Audrow Nash, Josh Langsfeld

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.1.0-1focal) focal; urgency=high

  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Add benchmarks for components (#1476 <https://github.com/ros2/rclcpp/issues/1476>)
  * Contributors: Scott K Logan, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rclcpp-components (6.0.0-1focal) focal; urgency=high

  * Bump rclcpp packages to Quality Level 2 (#1445 <https://github.com/ros2/rclcpp/issues/1445>)
  * Contributors: Louise Poubel

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Nov 2020 08:00:00 -0000

ros-rolling-rclcpp-components (5.1.0-1focal) focal; urgency=high

  * Update maintainers (#1384 <https://github.com/ros2/rclcpp/issues/1384>)
  * ComponentManager: switch off parameter services and event publisher (#1333 <https://github.com/ros2/rclcpp/issues/1333>)
  * Contributors: Ivan Santiago Paunovic, Martijn Buijs

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-rclcpp-components (5.0.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-rclcpp-components (4.0.0-1focal) focal; urgency=high

  * Bump to QD to level 3 and fixed links (#1158 <https://github.com/ros2/rclcpp/issues/1158>)
  * Include original exception in ComponentManagerException (#1157 <https://github.com/ros2/rclcpp/issues/1157>)
  * Contributors: Alejandro Hernández Cordero, Martijn Buijs, Tomoya Fujita

 -- Michael Carroll <michael@openrobotics.org>  Thu, 09 Jul 2020 07:00:00 -0000

ros-rolling-rclcpp-components (3.0.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 18 Jun 2020 07:00:00 -0000

ros-rolling-rclcpp-components (2.0.0-1focal) focal; urgency=high

  * Added missing virtual destructors. (#1149 <https://github.com/ros2/rclcpp/issues/1149>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#1130 <https://github.com/ros2/rclcpp/issues/1130>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-rclcpp-components (1.1.0-1focal) focal; urgency=high

  * Improve documentation (#1106 <https://github.com/ros2/rclcpp/issues/1106>)
  * Fixed rep links and added more details to dependencies in quality declaration (#1116 <https://github.com/ros2/rclcpp/issues/1116>)
  * Added dockblock to ComponentManager class (#1102 <https://github.com/ros2/rclcpp/issues/1102>)
  * Update quality declaration to reflect version 1.0 (#1115 <https://github.com/ros2/rclcpp/issues/1115>)
  * Contributors: Alejandro Hernández Cordero, Stephen Brawner

 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rclcpp-components (1.0.0-1focal) focal; urgency=high

  * Increasing test coverage of rclcpp_components (#1044 <https://github.com/ros2/rclcpp/issues/1044>)
    * Increasing test coverage of rclcpp_components
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
    * PR fixup
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
    * Fixup
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
    * Removing throws test for now
    Signed-off-by: Stephen Brawner <mailto:brawner@gmail.com>
  * Contributors: brawner

 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rclcpp-components (0.9.1-1focal) focal; urgency=high

  * Added Quality declaration: rclcpp, rclpp_action, rclcpp_components andrclcpp_lifecycle (#1100 <https://github.com/ros2/rclcpp/issues/1100>)
  * Contributors: Alejandro Hernández Cordero

 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-rclcpp-components (0.9.0-1focal) focal; urgency=high

  * Added rclcpp_components Doxyfile (#1091 <https://github.com/ros2/rclcpp/issues/1091>)
  * Deprecate redundant namespaces (#1083 <https://github.com/ros2/rclcpp/issues/1083>)
  * Export targets in addition to include directories / libraries (#1088 <https://github.com/ros2/rclcpp/issues/1088>)
  * Export component manager (#1070 <https://github.com/ros2/rclcpp/issues/1070>)
  * Install the component_manager library (#1068 <https://github.com/ros2/rclcpp/issues/1068>)
  * Make Component Manager public (#1065 <https://github.com/ros2/rclcpp/issues/1065>)
  * Remove absolute path from installed CMake code (#948 <https://github.com/ros2/rclcpp/issues/948>)
  * Fix function docblock, check for unparsed arguments (#945 <https://github.com/ros2/rclcpp/issues/945>)
  * Contributors: Alejandro Hernández Cordero, DensoADAS, Dirk Thomas, Jacob Perron, Karsten Knese, Michael Carroll, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-rolling-rclcpp-components (0.8.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-rclcpp-components (0.8.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-rolling-rclcpp-components (0.8.1-1focal) focal; urgency=high

  * Enable intra-process comm via LoadNode request. (#871 <https://github.com/ros2/rclcpp/issues/871>)
  * Aggregate all component manager API tests. (#876 <https://github.com/ros2/rclcpp/issues/876>)
  * Contributors: Michel Hidalgo

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.8.0-1focal) focal; urgency=high

  * Force explicit --ros-args in NodeOptions::arguments(). (#845 <https://github.com/ros2/rclcpp/issues/845>)
  * Use of -r/--remap flags where appropriate. (#834 <https://github.com/ros2/rclcpp/issues/834>)
  * Add line break after first open paren in multiline function call (#785 <https://github.com/ros2/rclcpp/issues/785>)
  * fix linter issue (#795 <https://github.com/ros2/rclcpp/issues/795>)
  * Remove non-package from ament_target_dependencies() (#793 <https://github.com/ros2/rclcpp/issues/793>)
  * fix for multiple nodes not being recognized (#790 <https://github.com/ros2/rclcpp/issues/790>)
  * Cmake infrastructure for creating components (#784 <https://github.com/ros2/rclcpp/issues/784>)
  * Contributors: Dan Rose, Michel Hidalgo, Shane Loretz, Siddharth Kucheria

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.7.5-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.7.4-1focal) focal; urgency=high

  * Rename parameter options (#745 <https://github.com/ros2/rclcpp/issues/745>)
  * don't use global arguments for components loaded into the manager (#736 <https://github.com/ros2/rclcpp/issues/736>)
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.7.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.7.2-1focal) focal; urgency=high

  * Updated to support changes to ``Node::get_node_names()``. (#698 <https://github.com/ros2/rclcpp/issues/698>)
  * Contributors: jhdcs

 -- Michael Carroll <michael@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.7.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.7.0-1focal) focal; urgency=high

  * Introduce rclcpp_components to implement composition (#665 <https://github.com/ros2/rclcpp/issues/665>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-rolling-rclcpp-components (0.6.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-rolling-rclcpp-components (0.6.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-rolling-rclcpp-components (0.6.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 Nov 2018 08:00:00 -0000

ros-rolling-rclcpp-components (0.5.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-rolling-rclcpp-components (0.5.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jun 2018 07:00:00 -0000

ros-rolling-rclcpp-components (0.4.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000


